Subject: Re: User ID Problem: "I have no name!"
From: steve johnston <[email-masked]>
To: <[email-masked]>
Cc: steve johnston <[email-masked]>
Date: Tue, 15 Apr 2003 10:21:20 -0700 (PDT)

Thanks! This worked. I modified the third field in the last line in 
/etc/password (below) from ":225118:"  to ":25118:"  & no longer see the 
error message.   

On Fri, 11 Apr 2003, Igor Pechtchanski wrote:

> On Sat, 12 Apr 2003, steve johnston wrote:
> 
> > After installing Cygwin on XP (when logged into XP as a user in the admin
> > group) and then starting Cygwin I see the following:
> >
> > id: cannot find name for user ID 28510
> > I have no name!@WAL11112813 ~
> >
> > -------------------
> > Here's /etc/passwd:
> >
> > $ more /etc/passwd
> > SYSTEM:*:18:544:,S-1-5-18::
> > Administrators:*:544:544:,S-1-5-32-544::
> > Administrator:unused_by_nt/2000/xp:500:513:U-WAL111128914090876-4025279379-689279713-500:/home/Administrator
> > Guest:unused_by_nt/2000/xp:501:513:U-WAL11112813\Guest9379-689279713-501:/home/Guest:/bin/bash
> > HelpAssistant:unused_by_nt/2000/xp:1004:513:Remote Dest,U-WAL11112813\HelpAssistant,S-1-5-21-914090876-40252/HelpAssistant:/bin/bash
> > SUPPORT_388945a0:unused_by_nt/2000/xp:1002:513:CN=Micrd,S=Washington,C=US,U-WAL11112813\SUPPORT_388945a0,S-1-689279713-1002:/home/SUPPORT_388945a0:/bin/bash
> > tmersrvd:unused_by_nt/2000/xp:1005:513:tmersrvd,U-WAL1914090876-4025279379-689279713-1005:/home/tmersrvd:/bi
> > sjohnsto:unused_by_nt/2000/xp:225118:10513:sjohnsto,U--2014530826-1978751852-262303683-215118:/cygdrive/h:/
> >
> > ---------------------------------
> > Can't login as my windows Userid:
> >
> > I have no name!@WAL11112813 ~
> > $ Login
> > login: sjohnsto
> > Password:
> > Switching to user sjohnsto failed!
> >
> > I have no name!@WAL11112813 ~
> > $
> >
> > Any suggestions?
> > Thanks, Steve
> 
> AFAIK, Cygwin doesn't currently support UIDs of more than 16-bit.  Edit
> /etc/passwd and change your user id (third ":"-separated field) to
> something less than 65535.  Make sure you don't touch any other part of
> the entry.
> 
> Also, you will not be able to use "login" to switch user context.  See
> <http://cygwin.com/cygwin-ug-net/ntsec.html#NTSEC-SETUID>.
> 	Igor
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/